Artboard
FileMaker Files

Encrypt FM File

Requires FileMaker Server 20.3 or later. Starts an async encryption operation. Returns a processId to track progress. Accepts a single file or an array of files for batch processing.

POST
/otto/api/fm-file/encrypt

Request Body

application/json

POST /otto/api/fm-file/encrypt Request body

currentEncryptionKey?string
encryptionKey?string
encryptionKeyHint?string
force?boolean
openStorage?boolean
password?string
sharedID?string
username?string
inPlace*boolean

Whether to encrypt the file in place

sourceFile*string

File name to encrypt in the FileMaker format

Response Body

application/json

application/json

curl -X POST "https://your.server.net/otto/api/fm-file/encrypt" \  -H "Content-Type: application/json" \  -d '{    "encryptionKey": "string",    "force": true,    "password": "string",    "sharedID": "string",    "username": "string",    "inPlace": true,    "sourceFile": "string"  }'
{
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ],
  "response": {}
}
{
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ],
  "response": {}
}